Package org.apache.maven.scm.provider.accurev

## Class AccuRevVersion

- java.lang.Object
- - org.apache.maven.scm.provider.accurev.AccuRevVersion

    public class AccuRevVersion
    extends java.lang.Object

### Constructor Summary

Constructors
`AccuRevVersion​(java.lang.String basis, long transactionId)`
`AccuRevVersion​(java.lang.String basisStream, java.lang.String tran)`
`AccuRevVersion​(java.lang.String basis, java.util.Date startDate)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getBasisStream()`
`java.lang.String` `getTimeSpec()`
`boolean` `isNow()`
`static boolean` `isNow​(java.lang.String timeSpec)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AccuRevVersion

    public AccuRevVersion​(java.lang.String basisStream,
                          java.lang.String tran)

#### AccuRevVersion

    public AccuRevVersion​(java.lang.String basis,
                          java.util.Date startDate)

#### AccuRevVersion

    public AccuRevVersion​(java.lang.String basis,
                          long transactionId)

### Method Detail

#### getBasisStream

    public java.lang.String getBasisStream()

#### getTimeSpec

    public java.lang.String getTimeSpec()

#### isNow

    public boolean isNow()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### isNow

    public static boolean isNow​(java.lang.String timeSpec)